Author: Yavor Doganov <yavor@gnu.org>
Last-Update: Sun, 15 Jul 2018 07:06:40 +0300
Description: Enable autoreconf finding all macros and suppress warnings

diff --git a/ac_stubs/libcurl_check_config.m4 b/ac_stubs/libcurl_check_config.m4
index 9b41a73..0c17884 100644
--- a/ac_stubs/libcurl_check_config.m4
+++ b/ac_stubs/libcurl_check_config.m4
@@ -116,7 +116,7 @@ AC_DEFUN([LIBCURL_CHECK_CONFIG],
            	_libcurl_save_libs=$LIBS
            	LIBS="$LIBCURL $LIBS"
 		
-		AC_LINK_IFELSE(AC_LANG_PROGRAM([#include <curl/curl.h>],[
+		AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <curl/curl.h>]],[[
 /* Try and use a few common options to force a failure if we are
    missing symbols or can't link. */
 int x;
@@ -127,7 +127,7 @@ x=CURLOPT_FILE;
 x=CURLOPT_ERRORBUFFER;
 x=CURLOPT_STDERR;
 x=CURLOPT_VERBOSE;
-]),libcurl_cv_lib_curl_only_needs_minus_l_curl=yes,libcurl_cv_lib_curl_only_needs_minus_l_curl=no)
+]])],libcurl_cv_lib_curl_only_needs_minus_l_curl=yes,libcurl_cv_lib_curl_only_needs_minus_l_curl=no)
 
           	CPPFLAGS=$_libcurl_save_cppflags
            	LIBS=$_libcurl_save_libs
@@ -178,7 +178,7 @@ x=CURLOPT_VERBOSE;
            _libcurl_save_libs=$LIBS
            LIBS="$LIBCURL $LIBS"
 
-           AC_LINK_IFELSE(AC_LANG_PROGRAM([#include <curl/curl.h>],[
+           AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <curl/curl.h>]],[[
 /* Try and use a few common options to force a failure if we are
    missing symbols or can't link. */
 int x;
@@ -189,7 +189,7 @@ x=CURLOPT_FILE;
 x=CURLOPT_ERRORBUFFER;
 x=CURLOPT_STDERR;
 x=CURLOPT_VERBOSE;
-]),libcurl_cv_lib_curl_usable=yes,libcurl_cv_lib_curl_usable=no)
+]])],libcurl_cv_lib_curl_usable=yes,libcurl_cv_lib_curl_usable=no)
 
            CPPFLAGS=$_libcurl_save_cppflags
            LIBS=$_libcurl_save_libs
diff --git a/configure.in b/configure.in
index a3ee01b..ddf3f5e 100644
--- a/configure.in
+++ b/configure.in
@@ -8,6 +8,7 @@ AC_INIT([staden],[2.0.0b11-2016])
 
 
 AC_CONFIG_HEADERS(staden_config.h)
+AC_CONFIG_MACRO_DIR([ac_stubs])
 
 #-----------------------------------------------------------------------------
 # Checks for compiler programs.
